Bug 849405 - Undefined references in libOSMesa.so
Undefined references in libOSMesa.so
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 04:38 EDT by Andreas Bierfert
Modified: 2012-09-17 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:55:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2012-08-19 04:38:21 EDT
mesa-libOSMesa-8.1-0.16.fc18.x86_64
mesa-libOSMesa-devel-8.1-0.16.fc18.x86_64
gcc-4.7.1-5.fc18.x86_64
glibc-2.16-8.fc18.x86_64

This is from wine configure checking for libOSMesa:

conftest.c:
#ifdef __cplusplus
extern "C"
#endif
char OSMesaCreateContext ();
int
main ()
{
return OSMesaCreateContext ();
  ;
  return 0;
}

gcc -o conftest -O2 -g -pipe -Wall  -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -Wno-error   -I/usr/include -Wl,-z,relro  conftest.c -lOSMesa -lGL  -L/usr/lib64  -lSM -lICE -lXext -lX11 -lm   >&5

/usr/lib64/libOSMesa.so: undefined reference to `operator delete[](void*)'
/usr/lib64/libOSMesa.so: undefined reference to `operator new(unsigned long)'
/usr/lib64/libOSMesa.so: undefined reference to `operator delete(void*)'
/usr/lib64/libOSMesa.so: undefined reference to `operator new[](unsigned long)'
/usr/lib64/libOSMesa.so: undefined reference to `__cxa_pure_virtual'
/usr/lib64/libOSMesa.so: undefined reference to `__gxx_personality_v0'
/usr/lib64/libOSMesa.so: undefined reference to `vtable for __cxxabiv1::__vmi_class_type_info'
/usr/lib64/libOSMesa.so: undefined reference to `vtable for __cxxabiv1::__class_type_info'
/usr/lib64/libOSMesa.so: undefined reference to `vtable for __cxxabiv1::__si_class_type_info'
Comment 1 Fedora Update System 2012-08-27 12:33:39 EDT
mesa-8.1-0.19.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mesa-8.1-0.19.fc18
Comment 2 Fedora Update System 2012-08-28 14:15:38 EDT
Package mesa-8.1-0.19.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mesa-8.1-0.19.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12852/mesa-8.1-0.19.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-09-17 18:55:46 EDT
mesa-8.1-0.19.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.